#*************************************************************
# Progamm:			absorption
# Sinn des Programms: 		Berechnung der Absorption in einer homogenen Schicht
# Sinn der Einheit  :		Einlesen der Steurdaten aus der Steuerdatei	
# Name dieser Datei:		steuer.py
# Versionsnummer:		1
# Wird aufgerufen von:		absorption_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	2
# von:				6			
# Autor: 			Armin Ulrich
# Erster Lauf: 			12.07.2018
# Letzte Änderung: 		14.01.2020
#*************************************************************

#*************************************************************
# Importieren der Klassen für Dateifunktionen
#*************************************************************
import os

#*************************************************************
# Importieren der Klassen zur graphischen Darstellung 
#*************************************************************
import tkinter


main = tkinter.Tk()

class Steuer:

  def __init__(self):		
    print("Steuerobjekt erzeugt")


  #Destruktormethode
  def __del__(self):	
    print("Steuerobjekt entfernt")          

  
  def ende(self):
    main.destroy()


#*************************************************************
# Funktion zum Öffnen der Steuerdatei und zum Auslesen der
# Steuerdaten
#*************************************************************
  def steuer_input(self):
    print("Einlesen der Steuerdaten") 
    zeilen_zaehler=0
    if os.path.exists("steuer.txt"):
      print("Datei ist vorhanden")
      fobj_in = open("steuer.txt","r") 
      for zeile in fobj_in:
       
        if(zeilen_zaehler == 0):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 1):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.gitter_datei = zeile[0:länge-1]
          ausgabe = self.gitter_datei
          print(ausgabe)
        if(zeilen_zaehler == 2):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 3):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.kappa = float(zeile[0:länge-1])
          ausgabe = self.kappa
          print(ausgabe)
        if(zeilen_zaehler == 4):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 5):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.Intens_init = float(zeile[0:länge-1])
          ausgabe = self.Intens_init
          print(ausgabe)
        if(zeilen_zaehler == 6):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 7):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.schirm_ausgabe = int(zeile[0:länge-1])
          ausgabe = self.schirm_ausgabe
          print(ausgabe)
        if(zeilen_zaehler == 8):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 9):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.datei_ausgabe = int(zeile[0:länge-1])
          ausgabe = self.datei_ausgabe
          print(ausgabe)
        if(zeilen_zaehler == 10):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 11):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.ausgabe_datei = zeile[0:länge-1]
          ausgabe = self.ausgabe_datei
          print(ausgabe)
        if(zeilen_zaehler == 12):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 13):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.graphik_datei = zeile[0:länge-1]
          ausgabe = self.graphik_datei
          print(ausgabe)
 #*************************************************************
# Anzeigen der Steuerdaten mittels Label
#*************************************************************        
        lb = tkinter.Label(main, text = ausgabe)
        
        if zeilen_zaehler % 2 == 0:
          lb.grid(row=int(zeilen_zaehler/2), column=0, padx='1', pady='1', sticky='ew')
          #lb["font"] = "Arial 6 bold"
        else:
          lb.grid(row=int((zeilen_zaehler-1)/2), column=1, padx='1', pady='1', sticky='ew')
        lb["font"] = "Arial 10"
        #lb["height"] = 1
        #lb["width"] = 40
        #lb["borderwidth"] = 2
        #lb["relief"] = "ridge"
        lb["bg"] = "#FFFFFF"
        lb["fg"] = "#000000"
        if zeilen_zaehler % 2 == 0:
          lb["anchor"] = "w"
        else:
          lb["anchor"] = "e"
        #lb.pack() 
        zeilen_zaehler=zeilen_zaehler+1
      fobj_in.close()
#*************************************************************
# Button zum Beenden der Anzeige der Steuerdaten und 
# zum Start der Berechnungen
#*************************************************************
      b = tkinter.Button(main, text = "weiter", command = self.ende)
      b.grid(row=int(zeilen_zaehler/2), column=0, padx='1', pady='1', sticky='ew')
      
      #Endlosschleife
      main.mainloop()
      
      return True
    else:
      print("Datei ist NICHT vorhanden")
      return False 
      
